Upgrade UFT

You can upgrade directly to the most recent version of UFT from any previous version of UFT, or from Service Test 11.50.

For other upgrades, including versions of QuickTest or Service Test versions earlier than 11.50, manually uninstall QuickTest or Service Test, and then install UFT.

Upgrades retain Run Session and Startup options only.

Ensure that you restart your system before performing the upgrade to ensure complete configuration fo the system.

This topic includes:

Upgrade silent installation scripts

Due to the removal of the Help documentation from the UFT installation, the Help_Documents parameter for msi silent installation is no longer supported. If your installation scripts use this parameter, update the scripts to remove the parameter.

If you still need a local copy of the Help, you can download it directly from the Help tab of the Options dialog (Tools > Options > General tab > Help node).

Upgrade licenses

If you are upgrading from QuickTest, Service Test, or a version of UFT earlier than 12.50, you must get a new license.

Do this from the HPE Software Licenses and Downloads portal, where you can access entitlements to software activations and downloads.

You will need the original Order Number (not the SAID) to access the entitlements in this Portal.

In addition, you can also upgrade your license to the new Functional Testing licenses: UFT Ultimate, UFT Enterprise, and UFT Pro. This step is not required.

For assistance, contact a regional licensing support center or your sales representative.

Upgrade with a concurrent license

UFT supports the Autopass License Server as its concurrent license server.

If you are upgrading to UFT with a concurrent license, you must also upgrade your concurrent license server and install your licenses on the Autopass License Server.

For full details, see the Autopass License Server User Guide , accessible with the AutoPass product download.

Note: If you are installing UFT from the compressed package for the Web, this link is not available. If you need to install UFT and the License Server, you must install UFT from the full installation package.

Upgrade with Web tests on Microsoft Edge

UFT has changed the way that the Microsoft WebDriver program (required for the Functional Testing Agent for Edge) is used. For details on the required steps to perform, see Use the Functional Testing Agent for Microsoft Edge.

Upgrade with Web tests on Safari

If you used a previous version of UFT to test Web applications on Safari, you must reinstall the UFT Connection Agent on the Mac from the current version of UFT.

The UFT Connection Agent preferences and the Unified Functional Testing Agent Safari extension preferences are reset to their defaults.

Upgrade with API tests

If you plan to run tests of a Web Service using security created using Service Test or UFT 11.53 or earlier, you must have the .NET Framework 3.5, WSE 2.0sp3 package, and WSE 3.0 package installed on your computer.

These prerequisites are not provided with the UFT installation. If they are not installed on your computer, you can install them from the following locations on the DVD:

NET 3.5 Framework DVD/prerequisites/dotnet35_sp1/donetfx35_sp1.exe
WSE 2.0 sp3 DVD/prerequisites/wse20sp3/MicrosoftWSE2.0SP3Runtime.msi
WSE 3.0 DVD/prerequisites/wse30/MicrosoftWSE3.0Runtime.msis

Upgrade with text recognition options in automation scripts

If you are running UFT with an automation script and have added text recognition options to the script, the following properties are obsolete and must be updated:

  • Update TextRecognitionLanguages to AbbyOcrLanguages

  • Update TextRecognitionOrder to TextRecognitionOcrMechanism

Upgrade after using UFT and ALM

If you upgrade to UFT from an version of UFT earlier than 12.50 shortly after using UFT to run GUI tests from ALM, make sure to stop the Remote Agent (if running) before running tests from ALM again.

To stop the previous Remote Agent process, in the Windows system tray, right-click the Remote Agent icon and select Exit.

Upgrade with the QTPNET_00015 patch

If you install UFT while the QTPNET_00015 patch (a QuickTest 10.00 patch) is installed on your computer, UFT may behave unexpectedly.

Before installing UFT, remove the patch from the Windows Control Panel Add/Remove Programs dialog box.

Upgrade from QuickTest Professional 11.00

When upgrading from QuickTest Professional 11.00 and installing UFT into the same directory as QuickTest, certain files will be missing from the installation.

After the upgrade, run the UFT installation again and select the Repair Installation option.